USE COWS
GO
_CreateObject 'SP','web','insertWebUser'
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER PROCEDURE [web].[insertWebUser]
@sADID	dbo.ADID,
@sFirstName	NVARCHAR(30),
@sLastName	NVARCHAR(30),
@sAcf2Id VARCHAR(10),
@sPhone	VARCHAR(14),
@sEmail	VARCHAR(80),
@Identity INT OUT

AS
SET NOCOUNT ON
BEGIN TRY

DECLARE @User_ID INT

SET @User_ID = -1
SET @Identity = -1

IF (SELECT COUNT(1) FROM dbo.LK_USER WITH (NOLOCK) WHERE UPPER(USER_ADID) = UPPER(@sADID)) = 0

BEGIN
             SET @sPhone = CASE @sPhone WHEN NULL THEN '999-999-9999' 
			 WHEN '' THEN '999-999-9999' END

	SELECT @User_ID = (MAX([USER_ID]))+1
	FROM dbo.LK_USER WITH (NOLOCK)

	INSERT INTO dbo.LK_USER([USER_ID], USER_ADID,FULL_NME,USER_ACF2_ID, PHN_NBR, EMAIL_ADR,REC_STUS_ID, CREAT_BY_USER_ID, CREAT_DT)	
    VALUES (@User_ID, @sADID, @sFirstName + ' ' + @sLastName , @sAcf2Id , @sPhone, @sEmail,'1', 1, GETDATE())
	SET @Identity = SCOPE_IDENTITY()
END

RETURN @Identity

END TRY
   BEGIN Catch
       exec  [dbo].[insertErrorInfo]
END Catch

GO
SET ANSI_NULLS OFF
GO
SET QUOTED_IDENTIFIER OFF
GO